Quassel IRC - Bug #551

Persistent core/client connection failure
02/12/2009 07:40 PM - kitterma

Status: Rejected Start date: 02/12/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.3.0.x 0S: Any
Description

Using Kubuntu Feb 11 git snapshot...

Core and client were connected when they disconnected (possibly due to Quassel, probably due to an actual interruption of network
activity caused by unfortunate wifi drivers in this kernel). Reconnect failed.

Debbug log has:

QObject::connect: Incompatible sender/receiver arguments
Action::triggered() --> Action::setChecked(bool)
QMainWindow::saveState(): 'objectName’ not set for QToolBar 0x990f018 'Main Toolbar'

Debug NetworkModel and MessageModel are blank.
The log on the core has:

2009-02-12 13:38:37 Warning: Received empty string from server!
2009-02-12 13:38:37 Warning: Received empty string from server!
2009-02-12 13:38:37 Warning: Received empty string from server!
2009-02-12 13:38:37 Warning: Received empty string from server!
2009-02-12 13:38:37 Warning: Received empty string from server!
2009-02-12 13:38:37 Warning: Received empty string from server!
2009-02-12 13:38:37 Warning: Received empty string from server!

being spewed at the dozens/hundreds per second rate.

Stopping, exiting, and restarting the client didn't change anything.

History

#1 - 02/12/2009 07:46 PM - kitterma

The log spew in the core continued after the client stopped trying to connect.
Restarting the core got it to stop.

Tried to connect again with the same result.

#2 - 08/11/2010 10:02 PM - johu
- Status changed from New to Rejected

- Version changed from 0.3.1+ to 0.3.0.x

cant reproduce in current master "v0.7-betal (0.7-betal+1 git-adec06f*)"
